package com.ruoyi.app.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class ReqSlaughterBatch {
    private String slaughterCode;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date slaughterTime;

    private String animalCertNo;
    private Long distributeBatchId;

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setSlaughterTime(Date slaughterTime)
    {
        this.slaughterTime = slaughterTime;
    }

    public Date getSlaughterTime()
    {
        return slaughterTime;
    }
    public void setAnimalCertNo(String animalCertNo)
    {
        this.animalCertNo = animalCertNo;
    }

    public String getAnimalCertNo()
    {
        return animalCertNo;
    }

    public void setDistributeBatchId(Long distributeBatchId)
    {
        this.distributeBatchId = distributeBatchId;
    }

    public Long getDistributeBatchId()
    {
        return distributeBatchId;
    }
}
